[18.10 FEAT] Rebase qclib >=1.4.0

Bug #1760803 reported by bugproxy on 2018-04-03
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Medium
Dimitri John Ledkov
qclib (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Update to newest version of qclib version >=1.4.0

Added SMT support by properly differentiating between cores and CPUs.
Added some bugfixes

bugproxy (bugproxy) on 2018-04-03
tags: added: architecture-s39064 bugnameltc-166367 severity-high targetmilestone-inin1810
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
affects: linux (Ubuntu) → qclib (Ubuntu)

------- Comment From <email address hidden> 2018-04-03 05:04 EDT-------
1.4.0
Changes:
- Added SMT support by properly differentiating between cores and CPUs.
I.e. switched from qc_num_cpu_* to qc_num_core_* attributes in layers
CEC, LPAR, ZVM_HYPERVISOR and KVM_HYPERVISOR.
NOTE: qc_num_cpu_* attributes remain to be valid in these cases to
preserve backwards compatibility for now. This will be removed in
one of the next releases! It is recommended to switch to the new
attributes _now_ and test with CONFIG_V1_COMPATIBILITY disabled!
- Added new attributes qc_num_threads_cp and qc_num_threads_ifl to layers
CEC, LPAR and ZVM_HYPERVISOR.
- Deprecated attribute qc_mobility_eligible (remains valid for now) and
replaced with qc_mobility_enabled to match z/VM terminology. Likewise
switched QC_LAYER_TYPE_ZVM_CPU_POOL to QC_LAYER_TYPE_ZVM_RESOURCE_POOL.
- Moved build customization defines (e.g. CONFIG_V1_COMPATIBILITY) to
query_capacity.h.
- Don't build with textual hypfs per default anymore due to unrecoverable
issues (see section 'Bug fixes'). Since all Linux distributions ship
with debugfs (providing binary hypfs support), overriding textual hypfs,
for years, this change will hardly ever be noticable. Enable define
CONFIG_TEXTUAL_HYPFS in query_capacity.h to revert.
Note that textual hypfs support will be removed in a future release.

Bug fixes:
- Added an exception to consistency check to ignore inconsistencies between
textual hypfs and STHYI for attributes qc_num_cp_total and
qc_num_ifl_total in the LPAR layer.
Background: Textual hypfs cannot tell whether a core is configured or
not. It therefore reports all cores as configured, which can
be wrong.

------- Comment on attachment From <email address hidden> 2018-04-03 05:09 EDT-------

qclib version 1.4.0 , which will be made available via developerworks soon.

Frank Heimes (fheimes) on 2018-04-03
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → Medium
Frank Heimes (fheimes) on 2018-04-03
Changed in ubuntu-z-systems:
assignee: nobody → Dimitri John Ledkov (xnox)

------- Comment From <email address hidden> 2018-04-09 09:09 EDT-------
qclib upstream available,
Please see download link https://www.ibm.com/developerworks/apps/download/index.jsp?contentid=864834&filename=qclib-1.4.0.tgz&method=http

Final documentation on DevWorks will follow soon..

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-10 10:39 EDT-------
Now also the official website is available:
https://www.ibm.com/developerworks/linux/linux390/qclib.html

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-03 07:51 EDT-------
New version of qclib available on developerworks: version 1.4.1

https://www.ibm.com/developerworks/linux/linux390/qclib.html

Changelog:
1.4.0
Changes:
- Added SMT support by properly differentiating between cores and CPUs.
I.e. switched from qc_num_cpu_* to qc_num_core_* attributes in layers
CEC, LPAR, ZVM_HYPERVISOR and KVM_HYPERVISOR.
NOTE: qc_num_cpu_* attributes remain to be valid in these cases to
preserve backwards compatibility for now. This will be removed in
one of the next releases! It is recommended to switch to the new
attributes _now_ and test with CONFIG_V1_COMPATIBILITY disabled!
- Added new attributes qc_num_threads_cp and qc_num_threads_ifl to layers
CEC, LPAR and ZVM_HYPERVISOR
- Deprecated attribute qc_mobility_eligible (remains valid for now) and
replaced with qc_mobility_enabled to match z/VM terminology. Likewise
switched QC_LAYER_TYPE_ZVM_CPU_POOL to QC_LAYER_TYPE_ZVM_RESOURCE_POOL.
- Moved build customization defines (e.g. CONFIG_V1_COMPATIBILITY) to
query_capacity.h.
- Don't build with textual hypfs per default anymore due to unrecoverable
issues (see section 'Bug fixes'). Since all Linux distributions ship
with debugfs (providing binary hypfs support), overriding textual hypfs,
for years, this change will hardly ever be noticable. Enable define
CONFIG_TEXTUAL_HYPFS in query_capacity.h to revert.
Note that textual hypfs support will be removed in a future release.

Bug fixes:
- Added an exception to consistency check to ignore inconsistencies between
textual hypfs and STHYI for attributes qc_num_cp_total and
qc_num_ifl_total in the LPAR layer.
Background: Textual hypfs cannot tell whether a core is configured or
not. It therefore reports all cores as configured, which can
be wrong.
1.4.1
Bug fixes:
- qc_dump: Don't abort the dump in case qc_test fails.
- Attributes qc_cp_weight_capping and qc_ifl_weight_capping were set even
when initial capping was not set in the LPAR's activation profile.

information type: Private → Public
Changed in qclib (Ubuntu):
status: New → Fix Committed
Frank Heimes (fheimes) on 2018-07-04
Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qclib - 1.4.1-0ubuntu1

---------------
qclib (1.4.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release LP: #1760803
  * Update debhelper compat, copyright years, standards version, fix
    lintian warnings.

 -- Dimitri John Ledkov 🌈 <email address hidden> Wed, 04 Jul 2018 11:45:07 +0100

Changed in qclib (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes) on 2018-07-04
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
tags: added: id-5b3baec771313e205f2a3948
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-23 04:48 EDT-------
IBM bugzilla sttaus -> closed, Fix Released by Canonical and available with Cosmic

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers